## GnomeDbGraphQuery

GnomeDbGraphQuery —

## Synopsis

                GnomeDbGraphQuery;
    GType       gnome_db_graph_query_get_type   (void);
    GObject*    gnome_db_graph_query_new        (GnomeDbQuery *query);
    void        gnome_db_graph_query_sync_targets
                                                (GnomeDbGraphQuery *graph);

## Object Hierarchy

      GObject
       +----GnomeDbBase
             +----GnomeDbGraph
                   +----GnomeDbGraphQuery

## Implemented Interfaces

GnomeDbGraphQuery implements GnomeDbXmlStorage.

## Description

## Details

### GnomeDbGraphQuery

    typedef struct _GnomeDbGraphQuery GnomeDbGraphQuery;

### gnome_db_graph_query_get_type ()

    GType       gnome_db_graph_query_get_type   (void);

Returns : |

### gnome_db_graph_query_new ()

    GObject*    gnome_db_graph_query_new        (GnomeDbQuery *query);

Creates a new GnomeDbGraphQuery object. This graph object is a specialized GnomeDbGraph object in the way that it always make sure it "contains" GnomeDbGraphItem objects for each target in `query`.

However, when created, the new GnomeDbGraphItem object will not contain any graph item; but can be brought in sync with the `gnome_db_graph_query_sync_targets()` method.

`query` : | a GnomeDbQuery object
Returns : | the newly created object

### gnome_db_graph_query_sync_targets ()

    void        gnome_db_graph_query_sync_targets
                                                (GnomeDbGraphQuery *graph);

Synchronises the graph items with the targets of the query `graph` represents

`graph` : | a GnomeDbGraphQuery object